
%define srcname gast
%{?!python_module:%define python_module() python3-%{**}}
Name:           python-gast
Version:        0.4.0
Release:        1%{?dist}
Summary:        Python AST that abstracts the underlying Python version
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/serge-sans-paille/gast/
Source:         https://github.com/serge-sans-paille/gast/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module astunparse}
BuildRequires:  fdupes
BuildArch:      noarch

%description

A generic AST to represent Python2 and Python3's Abstract Syntax Tree(AST).

GAST provides a compatibility layer between the AST of various Python versions,
as produced by ``ast.parse`` from the standard ``ast`` module.

%package -n python3-gast
Summary:        Python AST that abstracts the underlying Python version

%description -n python3-gast

A generic AST to represent Python2 and Python3's Abstract Syntax Tree(AST).

GAST provides a compatibility layer between the AST of various Python versions,
as produced by ``ast.parse`` from the standard ``ast`` module.

%prep
%setup -q -n gast-%{version}

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{python3_sitelib}

%check
%{__python3} setup.py test

%files -n python3-gast
%{python3_sitelib}/*
%doc README.rst
%license LICENSE

%changelog
* Thu Jul 08 2021 Weitao Zhou <yunqi.zwt@alibaba-inc.com> 0.4.0-1.1
- Update to 0.4.0
- Rebuild for Anolis OS
